> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Send Welcome Email to User > Ensure that you have configured the email settings in your workspace to send emails. Permission required: `send-mail` ### Changelog | Version | Description | | ------------ | ------------| |6.8.0 | Added | ## OpenAPI ````json POST /api/v1/users.sendWelcomeEmail { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "User Management" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "LDAP" }, { "name": "Permissions" }, { "name": "Roles" }, { "name": "Users" }, { "name": "SAML" } ], "paths": { "/api/v1/users.sendWelcomeEmail": { "post": { "tags": [ "Users" ], "summary": "Send Welcome Email to User", "description": "Ensure that you have configured the email settings in your workspace to send emails. \n\nPermission required: `send-mail`\n\n### Changelog\n| Version | Description |\n| ------------ | ------------|\n|6.8.0 | Added |", "operationId": "get-api-v1-users.sendWelcomeEmail", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" } ], "requestBody": { "content": { "application/json": { "schema": { "type": "object", "properties": { "email": { "type": "string", "description": "The user's email address to which you want to send the welcome email." } }, "required": [ "email" ] }, "examples": { "Example 1": { "value": { "email": "test@email.com" } } } } } }, "responses": { "200": { "$ref": "#/components/responses/trueSuccess" }, "400": { "description": "Bad Request", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" }, "errorType": { "type": "string" }, "details": { "type": "object", "properties": { "method": { "type": "string" } } } } }, "examples": { "SMPT not configured": { "value": { "success": "false", "error": "SMTP is not configured [error-email-send-failed]", "errorType": "error-email-send-failed", "details": { "method": "sendWelcomeEmail" } } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The authenticated user token.", "required": "true", "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The authenticated user ID.", "required": "true", "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" } }, "responses": { "trueSuccess": { "description": "OK", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" } } }, "examples": { "Success": { "value": { "success": "true" } } } } } }, "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````